Package org.gradle.api.tasks.testing

# Enum Class TestOutputEvent.Destination

java.lang.Object
java.lang.Enum<TestOutputEvent.Destination>
org.gradle.api.tasks.testing.TestOutputEvent.Destination

All Implemented Interfaces:
  `Serializable`, `Comparable<TestOutputEvent.Destination>`, `Constable`

Enclosing interface:
  `TestOutputEvent`

public static enum TestOutputEvent.Destination extends Enum<TestOutputEvent.Destination>
Destination of the message

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`StdErr`
`StdOut`

## Method Summary

Modifier and Type
Method
Description
`static TestOutputEvent.Destination`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TestOutputEvent.Destination[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### StdOut

public static final TestOutputEvent.Destination StdOut

### StdErr

public static final TestOutputEvent.Destination StdErr

## Method Details

### values

public static TestOutputEvent.Destination[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TestOutputEvent.Destination valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null